#include <bits/stdc++.h>

using namespace std;

int main()
{
    int q;
    cin >> q;
    while (q--)
    {
        int n, k, t;
        cin >> n >> k >> t;
        if ((n-k)%2 != 0)
        {
            cout<<"Ne postoji"<<endl;
            break;
        }
        if (t<pow(2, n))
        {
            cout<<"Ne postoji"<<endl;
            break;
        }
        cout << "()" << endl;

    }
    return 0;
}